Package: grails.core.events

## [Groovy] Class ArtefactAdditionEvent

- grails.core.events.ArtefactAdditionEvent

-     @groovy.transform.CompileStatic
      class ArtefactAdditionEvent
      extends org.springframework.context.ApplicationEvent

  An event triggered for the addition of a new artefact

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ArtefactAdditionEvent (GrailsClass artefact)` Create a new ApplicationEvent.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsClass` | `getArtefact()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.context.ApplicationEvent` | `org.springframework.context.ApplicationEvent#getTimestamp(), org.springframework.context.ApplicationEvent#getSource(), org.springframework.context.ApplicationEvent#toString(), org.springframework.context.ApplicationEvent#wait(long), org.springframework.context.ApplicationEvent#wait(long, int), org.springframework.context.ApplicationEvent#wait(), org.springframework.context.ApplicationEvent#equals(java.lang.Object), org.springframework.context.ApplicationEvent#hashCode(), org.springframework.context.ApplicationEvent#getClass(), org.springframework.context.ApplicationEvent#notify(), org.springframework.context.ApplicationEvent#notifyAll()`

- - ### Constructor Detail

    - #### ArtefactAdditionEvent(GrailsClass artefact)

      Create a new ApplicationEvent.

      Parameters:
        `source` - the component that published the event (never `null`)

  - ### Method Detail

    - #### GrailsClass getArtefact()